import Vue from 'vue/dist/vue'

const defaultConfig = {
    loader: document.querySelector('body').getAttribute('data-loader'),
    mediaTypes: [],
    searchTerm: '',
    sourceElement: null,
    page: 1,
    maxPage: 1,
    maxUploadSize: 0,
    maxUploadSizeReadable: 0,
    items: [],
};
export default new Vue({
    methods: {
        getDefaultValue: () => {
            return defaultConfig;
        },
        getContextConfig: () => {
            return {
                type: Object,
                default: () => defaultConfig,
            };
        }
    }
});